/*****************************************************************************
* Microchip Graphics Library
* Graphics Display Designer (GDD) Template
*****************************************************************************
* Dependencies:    See INCLUDES section below
* Processor:       PIC24F, PIC24H, dsPIC, PIC32
* Compiler:       	MPLAB C30 V3.22, MPLAB C32 V1.05b
* Linker:          MPLAB LINK30, MPLAB LINK32
* Company:         Microchip Technology Incorporated
*
* Software License Agreement
*
* Copyright (c) 2010 Microchip Technology Inc.  All rights reserved.
* Microchip licenses to you the right to use, modify, copy and distribute
* Software only when embedded on a Microchip microcontroller or digital
* signal controller, which is integrated into your product or third party
* product (pursuant to the sublicense terms in the accompanying license
* agreement).  
*
* You should refer to the license agreement accompanying this Software
* for additional information regarding your rights and obligations.
*
* SOFTWARE AND DOCUMENTATION ARE PROVIDED AS IS WITHOUT WARRANTY OF ANY
* KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION, ANY WARRANTY
* OF MERCHANTABILITY, TITLE, NON-INFRINGEMENT AND FITNESS FOR A PARTICULAR
* PURPOSE. IN NO EVENT SHALL MICROCHIP OR ITS LICENSORS BE LIABLE OR
* OBLIGATED UNDER CONTRACT, NEGLIGENCE, STRICT LIABILITY, CONTRIBUTION,
* BREACH OF WARRANTY, OR OTHER LEGAL EQUITABLE THEORY ANY DIRECT OR INDIRECT
* DAMAGES OR EXPENSES INCLUDING BUT NOT LIMITED TO ANY INCIDENTAL, SPECIAL,
* INDIRECT, PUNITIVE OR CONSEQUENTIAL DAMAGES, LOST PROFITS OR LOST DATA,
* COST OF PROCUREMENT OF SUBSTITUTE GOODS, TECHNOLOGY, SERVICES, OR ANY
* CLAIMS BY THIRD PARTIES (INCLUDING BUT NOT LIMITED TO ANY DEFENSE THEREOF),
* OR OTHER SIMILAR COSTS.
*
* Author               Date        Comment
*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*
*****************************************************************************/
#include "Graphics\Graphics.h"
#include "GDD_Screens.h"

// Strings
const XCHAR OBJ_BUTTON_1_1text[] = "Button";
const XCHAR OBJ_BUTTON_2_1text[] = "Button";
const XCHAR OBJ_BUTTON_3_1text[] = "Button";
GOL_SCHEME* kristy;
void (*CreateFunctionArray[NUM_GDD_SCREENS])();
void (*CreatePrimitivesFunctionArray[NUM_GDD_SCREENS])();
WORD currentGDDDemoScreenIndex;
static BYTE update = 0;
//  Creates the First Screen
void GDDDemoCreateFirstScreen(void)
{
	currentGDDDemoScreenIndex = 0;
	update = 1;
	(*CreateFunctionArray[currentGDDDemoScreenIndex])();
}
//  Creates the Next Screen
void GDDDemoNextScreen(void)
{
	currentGDDDemoScreenIndex++;
	if(currentGDDDemoScreenIndex >= NUM_GDD_SCREENS)
	{
		currentGDDDemoScreenIndex = 0;
	}
	update = 1;
}
//  GOL Message Callback
void GDDDemoGOLMsgCallback(WORD objMsg, OBJ_HEADER* pObj, GOL_MSG* pMsg)
{
	//Future event handling support by GDD
}
//  GOL Draw Callback
void GDDDemoGOLDrawCallback(void)
{
	if(update)
	{
		(*CreateFunctionArray[currentGDDDemoScreenIndex])();
		if(CreatePrimitivesFunctionArray[currentGDDDemoScreenIndex] != NULL)
		{
			(*CreatePrimitivesFunctionArray[currentGDDDemoScreenIndex])();
		}
		update = 0;
	}
}
//  Create Error Flash (Blue Screen)
void CreateError(char* string)
{
	// Blue Screen Error
	SetColor(119);
	ClearDevice();
	SetColor(-1);
// Flash Error Message
	if(string == NULL)
		{OutTextXY(0, 0, "Runtime Error.");}
	else{OutTextXY(0,0, string);}
}

void CreateScreen1(void)
{
	GOLFree();
	SetColor(1032);
	ClearDevice();
	if(kristy != NULL) free(kristy);
	kristy = GOLCreateScheme();
	kristy->Color0 = 34800;
	kristy->Color1 = 64969;
	kristy->ColorDisabled = 55070;
	kristy->CommonBkColor = 55166;
	kristy->EmbossDkColor = 6172;
	kristy->EmbossLtColor = 44765;
	kristy->TextColor0 = 0;
	kristy->TextColor1 = 31;
	kristy->pFont = (void*)&gentium_8_200_0_0_0_0;
	BUTTON *pOBJ_BUTTON_1_1;
	pOBJ_BUTTON_1_1 = BtnCreate(OBJ_BUTTON_1_1,24,23,69,87,0,16384,NULL,(XCHAR*)OBJ_BUTTON_1_1text,kristy);
	if(pOBJ_BUTTON_1_1==NULL){CreateError(0);while(1);} //Fatal Error, Check for memory leak or heap size
	BUTTON *pOBJ_BUTTON_2_1;
	pOBJ_BUTTON_2_1 = BtnCreate(OBJ_BUTTON_2_1,88,23,131,87,0,16384,NULL,(XCHAR*)OBJ_BUTTON_2_1text,kristy);
	if(pOBJ_BUTTON_2_1==NULL){CreateError(0);while(1);} //Fatal Error, Check for memory leak or heap size
	BUTTON *pOBJ_BUTTON_3_1;
	pOBJ_BUTTON_3_1 = BtnCreate(OBJ_BUTTON_3_1,149,22,191,86,0,16384,NULL,(XCHAR*)OBJ_BUTTON_3_1text,kristy);
	if(pOBJ_BUTTON_3_1==NULL){CreateError(0);while(1);} //Fatal Error, Check for memory leak or heap size
}

void (*CreateFunctionArray[NUM_GDD_SCREENS])(void)=
{
&CreateScreen1
};

void (*CreatePrimitivesFunctionArray[NUM_GDD_SCREENS])(void)=
{
NULL
};
