/*****************************************************************************
 * Microchip MultiMedia board graphics Demo Application
 * This program shows how to use the Graphics Primitives Layer.
 *****************************************************************************
 * FileName:        GraphicsDemo.h
 * Processor:       PIC32
 * Compiler:       	MPLAB C32
 * Linker:          MPLAB LINK32
 * Company:         Microchip Technology Incorporated
 *
 * Software License Agreement
 *
 * Copyright  2010 Microchip Technology Inc.  All rights reserved.
 * Microchip licenses to you the right to use, modify, copy and distribute
 * Software only when embedded on a Microchip microcontroller or digital
 * signal controller, which is integrated into your product or third party
 * product (pursuant to the sublicense terms in the accompanying license
 * agreement).  
 *
 * You should refer to the license agreement accompanying this Software
 * for additional information regarding your rights and obligations.
 *
 * SOFTWARE AND DOCUMENTATION ARE PROVIDED AS IS WITHOUT WARRANTY OF ANY
 * KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION, ANY WARRANTY
 * OF MERCHANTABILITY, TITLE, NON-INFRINGEMENT AND FITNESS FOR A PARTICULAR
 * PURPOSE. IN NO EVENT SHALL MICROCHIP OR ITS LICENSORS BE LIABLE OR
 * OBLIGATED UNDER CONTRACT, NEGLIGENCE, STRICT LIABILITY, CONTRIBUTION,
 * BREACH OF WARRANTY, OR OTHER LEGAL EQUITABLE THEORY ANY DIRECT OR INDIRECT
 * DAMAGES OR EXPENSES INCLUDING BUT NOT LIMITED TO ANY INCIDENTAL, SPECIAL,
 * INDIRECT, PUNITIVE OR CONSEQUENTIAL DAMAGES, LOST PROFITS OR LOST DATA,
 * COST OF PROCUREMENT OF SUBSTITUTE GOODS, TECHNOLOGY, SERVICES, OR ANY
 * CLAIMS BY THIRD PARTIES (INCLUDING BUT NOT LIMITED TO ANY DEFENSE THEREOF),
 * OR OTHER SIMILAR COSTS.
 *
 * Author               Date        Comment
 *~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 * Aseem swalah		06/17/10		...
 *****************************************************************************/
#ifndef _GRAPHICSDEMO_H
#define _GRAPHICSDEMO_H

#include <plib.h>
#include "GenericTypeDefs.h"
#include "Graphics\Graphics.h"
#include "TouchScreen.h"

#define LED_0_On()	PORTSetBits(IOPORT_D, BIT_1)
#define LED_1_On()	PORTSetBits(IOPORT_D, BIT_2)
#define LED_2_On()	PORTSetBits(IOPORT_D, BIT_3)

#define LED_0_Off()	PORTClearBits(IOPORT_D, BIT_1)
#define LED_1_Off()	PORTClearBits(IOPORT_D, BIT_2)
#define LED_2_Off()	PORTClearBits(IOPORT_D, BIT_3)

#define RED_POS     0xF800
#define GREEN_POS   0x07E0
#define BLUE_POS    0x001F

void DisplayInit(void);
void CreateGraphics();
void DisplayTask(void);
void TickInit(void); 
#endif
